Package tigase.component.adhoc

# Class AdHocCommandManager

java.lang.Object
tigase.component.adhoc.AdHocCommandManager

@Bean(name="adHocCommandManager", active=true) public class AdHocCommandManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdHocCommandManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<AdHocCommand>`
  `getAllCommands()`
  `AdHocCommand`
  `getCommand(String nodeName)`
  `boolean`
  `hasCommand(String node)`
  Method checks if exists implementation for this command in this CommandManager
  `void`
  `process(Packet packet, Consumer<Packet> resultConsumer)`
  `void`
  `process(Packet packet, Element commandElement, String node, String action, String sessionId, AdHocCommand adHocCommand, Consumer<Packet> resultConsumer)`
  `void`
  `registerCommand(AdHocCommand command)`
  `void`
  `setAllCommands(AdHocCommand[] allCommands)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdHocCommandManager

    public AdHocCommandManager()

- ## Method Details

  - ### getAllCommands

    public Collection<AdHocCommand> getAllCommands()

  - ### setAllCommands

    public void setAllCommands(AdHocCommand[] allCommands)

  - ### getCommand

    public AdHocCommand getCommand(String nodeName)

  - ### hasCommand

    public boolean hasCommand(String node)
    Method checks if exists implementation for this command in this CommandManager
    Parameters:
      `node` - name for which perform the check
    Returns:
      true - if command exists for this node

  - ### process

    public void process(Packet packet, Consumer<Packet> resultConsumer) throws AdHocCommandException
    Throws:
      `AdHocCommandException`

  - ### process

    public void process(Packet packet, Element commandElement, String node, String action, String sessionId, AdHocCommand adHocCommand, Consumer<Packet> resultConsumer) throws AdHocCommandException
    Throws:
      `AdHocCommandException`

  - ### registerCommand

    public void registerCommand(AdHocCommand command)